package com.ozs.pm.doman;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 采购需求装备类表(PmDemandEquip)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-02-04 19:36:13
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pm_demand_equip")
@ApiModel(value = "采购需求装备类表", description = "")
public class PmDemandEquip implements Serializable {
    private static final long serialVersionUID = -13343009659577628L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("主键")
    @TableField("DEMAND_EQUIP_ID")
    private Long demandEquipId;


    @ApiModelProperty("需求ID")
    @TableField("DEMAND_ID")
    private Long demandId;


    @ApiModelProperty("物资类别及品种名称")
    @TableField("TYPE_AND_NAME")
    private String typeAndName;


    @ApiModelProperty("规格型号长*宽*高")
    @TableField("SPECIFICATION")
    private String specification;


    @ApiModelProperty("质量技术标准(技术参数):")
    @TableField("QUALITY_TECHNICAL_STANDARD")
    private String qualityTechnicalStandard;


    @ApiModelProperty("计量单位")
    @TableField("MEASUREMENT_UNIT")
    private String measurementUnit;


    @ApiModelProperty("采购数量")
    @TableField("PROCUREMENT_QUANTITY")
    private Double procurementQuantity;


    @ApiModelProperty("单价(元)")
    @TableField("PRICE")
    private Double price;


    @ApiModelProperty("预算金额(万元)")
    @TableField("BUDGET_AMOUNT")
    private Double budgetAmount;


    @ApiModelProperty("需求提报时间")
    @TableField("DEMAND_COMMIT_TIME")
    private Date demandCommitTime;


    @ApiModelProperty("采购方式建议（1公开招标，2邀请招标，3竞争性谈判，4询价，5单一来源）")
    @TableField("PROCUREMENT_METHOD_SUGGEST")
    private String procurementMethodSuggest;


    @ApiModelProperty("备注")
    @TableField("REMARKS")
    private String remarks;


    @ApiModelProperty("创建者")
    @TableField("CREATE_BY")
    private String createBy;


    @ApiModelProperty("创建时间")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("更新者")
    @TableField("UPDATE_BY")
    private String updateBy;


    @ApiModelProperty("更新时间")
    @TableField("UPDATE_TIME")
    private Date updateTime;


}
